# List Orders Get status of all orders, can be filtered using optional query params Endpoint: GET /trading/api/v3/Orders Version: 1.5.0 Security: api-key, nonce, timestamp, version, signature ## Query parameters: - `scope` (string) Filter for all or only open orders Enum: "All", "Open" - `account` (string) Filter by account id - `orderTypes` (array) Filter by order type(s) Enum: "Market", "Limit", "Stop", "PreviouslyQuoted" - `status` (array) Filter by order status Enum: "Unknown", "New", "PartiallyFilled", "Filled", "Cancelled", "PendingCancel", "Rejected", "PendingNew", "Expired", "Draft", "Error", "Submitted", "Void", "Cancelling", "CancelError" - `symbols` (array) Filter by symbols, example: 'BTC/CHF' - `side` (string) Filter by side Enum: "Unknown", "Buy", "Sell" - `transactionTimeMin` (string) Filter by min transaction time - `transactionTimeMax` (string) Filter by max transaction time - `timeInForce` (string) Filter by time in force Enum: "Unknown", "GoodTillCancel", "ImmediateOrCancel", "FillOrKill", "GoodTilDate" - `expiresTimeMin` (string) Filter by min expiration time - `expiresTimeMax` (string) Filter by max expiration time - `page` (integer) Pagination: Page - `pageSize` (integer) Pagination: Page size ## Header parameters: - `customer-number` (string, required) Defines which customer the request is executed for. If you manage multiple customers, this is how you switch between them. Use the _Customer Management_ API endpoints to get the customer data. Example: 'BTCS-CUS-123456' ## Response 200 fields (application/json): - `content` (array,null) - `content.account` (integer) - `content.clientOrderId` (string,null) - `content.orderId` (integer) - `content.quoteId` (integer) - `content.side` (string) Enum: "Unknown", "Buy", "Sell" - `content.orderType` (string) Enum: "Unknown", "Market", "Limit", "Stop", "StopLimit", "PreviouslyQuoted", "BestExecution" - `content.symbol` (string,null) - `content.currency` (string,null) - `content.quantity` (number) - `content.price` (number) - `content.stopPrice` (number) - `content.timeInForce` (string) Enum: "Unknown", "GoodTillCancel", "ImmediateOrCancel", "FillOrKill", "GoodTilDate" - `content.transactionTime` (string) - `content.expireTime` (string) - `content.createdAt` (string) - `content.toAccount` (integer) - `content.executionId` (string,null) - `content.executionType` (string) Enum: "Unknown", "New", "Cancelled", "Replaced", "PendingCancel", "Rejected", "Expired", "Trade", "Void", "OrderStatus" - `content.indicativePrice` (number) - `content.status` (string) Enum: "Unknown", "New", "PartiallyFilled", "Filled", "Cancelled", "PendingCancel", "Rejected", "PendingNew", "Expired", "Draft", "Error", "Submitted", "Void", "Cancelling", "CancelError" - `content.lastPrice` (number) - `content.lastQuantity` (number) - `content.cumulativeQuantity` (number) - `content.leavesQuantity` (number) - `content.rejectionCode` (integer) - `content.text` (string,null) - `content.availableToTrade` (number) - `content.commissionCurrency` (string,null) - `content.commission` (number) - `content.settlementDate` (string) - `content.venueId` (integer) - `content.tenor` (string) Enum: "Unknown", "Spot", "Instantly" - `content.prosecoFuseco` (boolean) - `content.isTwap` (boolean) - `content.isCommissionIncluded` (boolean) - `content.legPrice` (number) - `content.legSymbol` (string,null) - `content.settlementAmount` (number) - `content.fromAmount` (number) - `content.toAmount` (number) - `content.isSettled` (boolean) - `content.appliedCommissionPct` (number) - `content.targetStrategy` (string) Enum: "None", "Smart", "TWAP", "Scheduled", "DCA" - `content.durationUnit` (string) Enum: "Unknown", "Day", "Hour", "Month", "Minute", "Week" - `content.duration` (integer) - `content.pegOffsetType` (string) Enum: "None", "BasisPoints" - `content.pegOffsetValue` (integer) - `content.effectiveTime` (string) - `content.parentClientOrderId` (integer) - `content.source` (integer) - `content.isMinimumCommissionApplied` (boolean) - `content.legs` (array, required) - `content.legs.isFiatToFiat` (boolean) - `content.legs.rate` (number) - `content.legs.baseQuantity` (number) - `content.legs.venue` (string,null) - `count` (integer,null) ## Response 400 fields (application/json): - `code` (integer) - `text` (string,null)